Bug 128127 - Crash when hitting <Ctrl>Space (IIIMF hotkey)
Crash when hitting <Ctrl>Space (IIIMF hotkey)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-18 22:28 EDT by Pete Zaitcev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 17:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug-buddy traceback (with debuginfo installed) (11.28 KB, text/plain)
2004-07-18 22:29 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2004-07-18 22:28:16 EDT
Description of problem:

When hittting <Ctrl>Space twice [sic], OpenOffice Writer crashes.

Version-Release number of selected component (if applicable):

[zaitcev@lembas zaitcev]$ rpm -qa 'openoffice*'
openoffice.org-i18n-1.1.1-4
openoffice.org-debuginfo-1.1.1-4
openoffice.org-1.1.1-4
openoffice.org-libs-1.1.1-4
[zaitcev@lembas zaitcev]$ rpm -qa 'iii*'
iiimf-csconv-11.4-46.1.svn1587
iiimf-gtk-11.4-46.1.svn1587
iiimf-le-unit-11.4-46.1.svn1587
iiimf-docs-11.4-46.1.svn1587
iiimf-client-lib-11.4-46.1.svn1587
iiimf-protocol-lib-devel-11.4-46.1.svn1587
iiimf-le-canna-11.4-46.1.svn1587
iiimf-server-11.4-46.1.svn1587
iiimf-x-11.4-46.1.svn1587
iiimf-protocol-lib-11.4-46.1.svn1587
iiimf-client-lib-devel-11.4-46.1.svn1587
[zaitcev@lembas zaitcev]$

How reproducible:
100%

Steps to Reproduce:
1. Use IIIMF with GIMLET normally, verifty that it works with
   gnome-terminal, gvim, Mozilla.
2. Start Writer. No need to open any files.
3. Click to focus Writer, then hit <Ctrl>Space twice.
   Writer gets SIGSEGV.

Actual results:

Crash.

Expected results:

Entering Japanese :-)
OK, I can understand if OO.org cannot work with IIIMF,
but just make sure it doesn't crash miserably...

Additional info:

I'll attach bug-buddy log in a moment.
Comment 1 Pete Zaitcev 2004-07-18 22:29:43 EDT
Created attachment 102021 [details]
bug-buddy traceback (with debuginfo installed)
Comment 2 Pete Zaitcev 2004-07-18 22:32:37 EDT
The i18n appears to work dandy, including printing.
If I enter something in vi, then copy-paste into OO.org,
text is entered and displayed ok. I just cannot enter
anything directly without crashing.
Comment 3 Dan Williams 2004-07-28 09:24:04 EDT
Could you please test with 1.1.2-1 that's now in rawhide?  It has a
few IIIMF fixes.
Comment 4 Pete Zaitcev 2004-07-30 17:57:56 EDT
The 1.1.2 does not crash.
(although it simply refuses to switch into input method)

Note You need to log in before you can comment on or make changes to this bug.